<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: ijk_list_m::ijk_r1_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceijk__list__m.html">ijk_list_m</a></li><li class="navelem"><a class="el" href="structijk__list__m_1_1ijk__r1__t.html">ijk_r1_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structijk__list__m_1_1ijk__r1__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ijk_list_m::ijk_r1_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for ijk_list_m::ijk_r1_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structijk__list__m_1_1ijk__r1__t__coll__graph.png" border="0" usemap="#ijk__list__m_1_1ijk__r1__t_coll__map" alt="Collaboration graph"/></div>
<map name="ijk__list__m_1_1ijk__r1__t_coll__map" id="ijk__list__m_1_1ijk__r1__t_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2bc2e68f1c96c7ed7224c4c0b1f6eefc"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structijk__list__m_1_1ijk__r1__t.html#a2bc2e68f1c96c7ed7224c4c0b1f6eefc">i</a></td></tr>
<tr class="separator:a2bc2e68f1c96c7ed7224c4c0b1f6eefc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a385317b155c0cb27c4ae94ec5a187a44"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structijk__list__m_1_1ijk__r1__t.html#a385317b155c0cb27c4ae94ec5a187a44">j</a></td></tr>
<tr class="separator:a385317b155c0cb27c4ae94ec5a187a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf6370badf632ec1469e41e2bb7eb3cc"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structijk__list__m_1_1ijk__r1__t.html#adf6370badf632ec1469e41e2bb7eb3cc">k</a></td></tr>
<tr class="separator:adf6370badf632ec1469e41e2bb7eb3cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae33d7cf6660bf537bb202fbbf221bdd1"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structijk__list__m_1_1ijk__r1__t.html#ae33d7cf6660bf537bb202fbbf221bdd1">d</a> =&gt; null()</td></tr>
<tr class="separator:ae33d7cf6660bf537bb202fbbf221bdd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57d3d30cdbeed1e80a9b4f13cac8f5c4"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structijk__list__m_1_1ijk__r1__t.html">ijk_r1_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structijk__list__m_1_1ijk__r1__t.html#a57d3d30cdbeed1e80a9b4f13cac8f5c4">next</a> =&gt; null()</td></tr>
<tr class="separator:a57d3d30cdbeed1e80a9b4f13cac8f5c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ae33d7cf6660bf537bb202fbbf221bdd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae33d7cf6660bf537bb202fbbf221bdd1">&#9670;&nbsp;</a></span>d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer ijk_list_m::ijk_r1_t::d =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2bc2e68f1c96c7ed7224c4c0b1f6eefc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bc2e68f1c96c7ed7224c4c0b1f6eefc">&#9670;&nbsp;</a></span>i</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer ijk_list_m::ijk_r1_t::i</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a385317b155c0cb27c4ae94ec5a187a44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a385317b155c0cb27c4ae94ec5a187a44">&#9670;&nbsp;</a></span>j</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer ijk_list_m::ijk_r1_t::j</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adf6370badf632ec1469e41e2bb7eb3cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf6370badf632ec1469e41e2bb7eb3cc">&#9670;&nbsp;</a></span>k</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer ijk_list_m::ijk_r1_t::k</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57d3d30cdbeed1e80a9b4f13cac8f5c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57d3d30cdbeed1e80a9b4f13cac8f5c4">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structijk__list__m_1_1ijk__r1__t.html">ijk_r1_t</a>), pointer ijk_list_m::ijk_r1_t::next =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="ijk__list__m_8f90.html">ijk_list_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
